Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.replicator.http
Enum ReplicationService.ReplicationAction

    java.lang.Object
      java.lang.Enum<ReplicationService.ReplicationAction>
          org.apache.lucene.replicator.http.ReplicationService.ReplicationAction

All Implemented Interfaces:
  Serializable, Comparable<ReplicationService.ReplicationAction>

Enclosing class:
  ReplicationService

    public static enum ReplicationService.ReplicationAction

extends Enum<ReplicationService.ReplicationAction>

Actions supported by the `ReplicationService`.

Enum Constant Summary
`OBTAIN`
`RELEASE`
`UPDATE`

Method Summary
`static ReplicationService.ReplicationAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReplicationService.ReplicationAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBTAIN

    public static final ReplicationService.ReplicationAction OBTAIN

### RELEASE

    public static final ReplicationService.ReplicationAction RELEASE

### UPDATE

    public static final ReplicationService.ReplicationAction UPDATE

Method Detail

### values

    public static ReplicationService.ReplicationAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReplicationService.ReplicationAction c : ReplicationService.ReplicationAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReplicationService.ReplicationAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.